SolrQuery::setHighlightMergeContiguous
SolrQuery::setHighlightRegexPattern
SolrQuery
PHP Manual

# SolrQuery::setHighlightRegexMaxAnalyzedChars

(PECL solr >= 0.9.2)

SolrQuery::setHighlightRegexMaxAnalyzedChars — Specify the maximum number of characters to analyze

### Description

public SolrQuery SolrQuery::setHighlightRegexMaxAnalyzedChars ( int `$maxAnalyzedChars` )

Specify the maximum number of characters to analyze from a field when using the regex fragmenter

### Parameters

`maxAnalyzedChars`

  The maximum number of characters to analyze from a field when using the regex fragmenter

### Return Values

Returns the current SolrQuery object, if the return value is used.

SolrQuery::setHighlightMergeContiguous
SolrQuery::setHighlightRegexPattern
SolrQuery
PHP Manual